﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace RadListBoxBug
{
    public class ViewModel : ViewModelBase
    {
        private ObservableCollection<Player> players;

        public ViewModel()
        {
            this.Players = new ObservableCollection<Player>();

            this.Players.Add(new Player() { Name = "Giggs", Club = "Manchester United" });
            this.Players.Add(new Player() { Name = "Lampard", Club = "Chelsea" });
            this.Players.Add(new Player() { Name = "Terry", Club = "Chelsea" });
            this.Players.Add(new Player() { Name = "Scholes", Club = "Manchester United" });
            this.Players.Add(new Player() { Name = "Demba Ba", Club = "Chelsea" });
            this.Players.Add(new Player() { Name = "Aguero", Club = "City" });
            this.Players.Add(new Player() { Name = "Tevez", Club = "City" });
            this.Players.Add(new Player() { Name = "Silva", Club = "City" });
        }

        public ObservableCollection<Player> Players
        {
            get
            {
                return this.players;
            }
            set
            {
                if (this.players != value)
                {
                    this.players = value;
                    this.OnPropertyChanged(() => this.Players);
                }
            }
        }
    }
}
